<mat-toolbar color="start" style="background-color:rgba(4, 4, 199, 0.69);">
  <span class="spacer">
      <h1>
          Check Status
      </h1>
  </span>
  <a mat-icon-button type="submit" style="margin-left: 80%; margin-bottom: 20px;" (click)="mail()">email</a> 
</mat-toolbar>
<body>
  
<div class="container text-center">
  <div class="row">
    <div class="col">
      <form>
        <div class="container1">
          <table mat-table [dataSource]="datasource1" class="mat-elevation-z8 text-dark">
            <ng-container matColumnDef="ip">
              <th mat-header-cell *matHeaderCellDef class="text-light"> ip </th>
              <td mat-cell *matCellDef="let element" class="text-light"> {{element.ip}} </td>
            </ng-container>
      
            <ng-container matColumnDef="port">
              <th mat-header-cell *matHeaderCellDef class="text-light"> port </th>
              <td mat-cell *matCellDef="let element" class="text-light"> {{element.port}} </td>
            </ng-container>
      
            <div class="btngroup d-flex justify-content-center">
              <button type="submit" mat-flat-button color="primary">click</button>
            </div>
      
            <tr mat-header-row *matHeaderRowDef="displayedColumns1"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns1;"></tr>
          </table>
        </div>
      </form>
    </div>
    <div class="col">
      <div class="container d-flex justify-content-center" style="margin-top: 20%;">
        <table mat-table [dataSource]="datasource" class="mat-elevation-z8 text-light" >
        
          <ng-container matColumnDef="status">
            <th mat-header-cell *matHeaderCellDef class="text-light d-flex justify-content-center"> status </th>
            <td mat-cell *matCellDef="let element" class="text-light d-flex justify-content-center"> {{element.s}} </td>
          </ng-container>
          <p>{{ result }}</p>

          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
        </div>
    </div>
  </div>
</div>
</body>